# win32_m.cpp File Reference

Music playback for Windows. More...

`#include "../stdafx.h"`
`#include "win32_m.h"`
`#include <windows.h>`
`#include <mmsystem.h>`

Go to the source code of this file.

## Functions
static MCIERROR CDECL | MidiSendCommand (const TCHAR *cmd,...)
static bool | MidiIntPlaySong (const char *filename)
static void | MidiIntStopSong ()
static void | MidiIntSetVolume (int vol)
static bool | MidiIntIsSongPlaying ()
static DWORD WINAPI | MidiThread (LPVOID arg)
## Variables
struct {
bool stop_song
bool terminate
bool playing
int new_vol
HANDLE wait_obj
HANDLE thread
UINT_PTR devid
char start_song [MAX_PATH]
} | _midi
static FMusicDriver_Win32 | iFMusicDriver_Win32

## Detailed Description

Music playback for Windows.

Definition in file win32_m.cpp.